libnvme(2)

NAME
enum nbft_hfi_info_tcp_flags - HFI Transport Flags

SYNOPSIS
enum nbft_hfi_info_tcp_flags {
NBFT_HFI_INFO_TCP_VALID ,
NBFT_HFI_INFO_TCP_GLOBAL_ROUTE ,
NBFT_HFI_INFO_TCP_DHCP_OVERRIDE

};

Constants

NBFT_HFI_INFO_TCP_VALID
    Descriptor Valid: if set to 1h, then this descriptor is valid. If cleared to 0h, then this descriptor is reserved.

NBFT_HFI_INFO_TCP_GLOBAL_ROUTE
    Global Route vs. Link Local Override Flag: if set to 1h, then the BIOS utilized this interface described by HFI to be the default route with highest priority. If cleared to 0h, then routes are local to their own scope.

NBFT_HFI_INFO_TCP_DHCP_OVERRIDE
    DHCP Override: if set to 1, then HFI information was populated by consuming the DHCP on this interface. If cleared to 0h, then the HFI information was set administratively by a configuration interface to the driver and pre-OS envrionment.